#!/usr/bin/php
<?php

function syntax($code=0)
{
  echo "Usage: op5 log e2d [timezone]\n";
  exit($code);
}

if(isset($argv[1]))
{
  if($argv[1] === '-h' || $argv[1] === '--help')
     syntax(0);

  if(!date_default_timezone_set($argv[1]))
     exit(1);
}

$s = fopen("php://stdin", "r");
while (!feof($s))
{
  $l = preg_replace_callback(
    "/^\[([0-9]+)\]/",
    function($m)
    {
      $d = date("Y-m-d H:i:s O", $m[1]);
      return ("[$d]");
    },
    fgets($s)
  );

  echo $l;
}
fclose($s);

?>
